Search
 
   
  POINT POINTCENTRAL CALYX NETWORK MYCALYX KNOWLEDGE BASE PRODUCT LIBRARY LIVE DEMO  
POINTCENTRAL
PointCentral Overview
What's New
PointCentral Release Notes
System Requirements
Hosting Services
SDK Development Services

 

 
 
Have Point and WebCaster?
Now, all you need to add is INK-it®! Start enjoying the convenience, savings and security electronic signing delivers to your workflow.
 
Have Point but Not WebCaster?
No problem. WebCaster® offers you an attractive, user-friendly website that's easy to set up and maintain. Add INK-it while you're at it and start signing documents online.
Get WebCaster and INK-it!

 

PointCentral System Requirements

PointCentral 9.5 System Requirements

The following hardware is required to support PointCentral:

Component Requirement
Processor Intel Pentium 4 processor, 3.0+ GHz or equivalent processing power
Memory 1GB of RAM (2GB recommended)
Disk space • 20GB of available hard disk space (depends on Point data folders configuration)
• Electronic document storage: 20MB per loan file (on average)

PointCentral 9.5 Software Requirements

The following software is required to support PointCentral:

Component Version
Operating system • Microsoft® Windows Server 2016, with latest service pack IIS 7.0 and Application Server Role
• Microsoft Windows Server 2012, Service Pack 1, with IIS 7.0 and Application Server Role
• Microsoft Windows Server 2008, (R2 with Service Pack 1, 64 bit required), with IIS 7.0 and Application Server Role
Microsoft .NET Framework Version 4.6.1
SQL Server
Large organizations
(>50 users)
• Microsoft SQL Server® 2016 Standard or Enterprise Edition, with latest service pack
• Microsoft SQL Server 2014 Standard or Enterprise Edition, with latest service pack
• Microsoft SQL Server 2012 Standard or Enterprise Edition, with latest service pack
• Microsoft SQL Server 2008 Workgroup, Standard, or Enterprise Edition, with latest service pack
SQL Server
Small organizations
(<50 users)
• Microsoft SQL Server 2016 Express Edition, with latest service pack
• Microsoft SQL Server 2014 Express Edition, with latest service pack
• Microsoft SQL Server 2012 Express Edition, with latest service pack
• Microsoft SQL Server 2008 Express or Express with Tools Edition, with latest service pack
Network environment • Domain name
• An SSL certificate that matches the domain name, installed on the IIS default web site
• Static IP address
Client • Point, version 9.5, 9.6, or 9.7
• One of the following operating systems:
   - Microsoft Windows 10
   - Microsoft Windows 8
   - Microsoft Windows 7
• Internet Explorer version 11, or later

PointCentral Requirements - Additional Information

PRODUCTS
Products Overview
Point
PointCentral
Zip
Path
Portfolio Producer
Pricer1
INK-it
WebCaster
Point Mobile
Calyx Network

TRAINING
Training Overview
Free Live Webinars
Free Classes

SUPPORT

Support Overview
Support Messages
Professional Services
Knowledge Base
COMMUNITY
Customers
Lenders
Brokers
Mortgage Bankers
Community Banks
Credit Unions
Nonprofit Organizations

EVENTS

Events Overview
User Conference
Tradeshows
COMPANY
About Calyx Software
Press Releases
Newsletters
Careers
Mailing List Sign-Up
Blog

CONTACT US

Get in Touch with Calyx
Suggestions
Live Demonstration
 © Calyx Technology, Inc. 1991-2018. All rights reserved.   |   Privacy Policy | Site Map
Stay Connected: Facebook YouTube LinkedIn Twitter